javax.resource.spi

## Interface ConnectionRequestInfo

-     public interface ConnectionRequestInfo

  The ConnectionRequestInfo interface enables a resource adapter to pass its own request specific data structure across the connection request flow. A resource adapter extends the empty interface to supports its own data structures for connection request.

  A typical use allows a resource adapter to handle application component specified per-connection request properties (example - client ID, language). The application server passes these properties back across to match/createManagedConnection calls on the resource adapter. These properties remain opaque to the application server during the connection request flow.

  Once the ConnectionRequestInfo reaches match/createManagedConnection methods on the ManagedConnectionFactory instance, resource adapter uses this additional per-request information to do connection creation and matching.

  Version:
    0.8
  Author:
    Rahul Sharma
  See Also:
    `ManagedConnectionFactory`, `ManagedConnection`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)` Checks whether this instance is equal to another.
    `int` | `hashCode()` Returns the hashCode of the ConnectionRequestInfo.

- - ### Method Detail

    - #### equals

          boolean equals(Object other)

      Checks whether this instance is equal to another. Since connectionRequestInfo is defined specific to a resource adapter, the resource adapter is required to implement this method. The conditions for equality are specific to the resource adapter.
      Overrides:
        `equals` in class `Object`
      Returns:
        True if the two instances are equal.

    - #### hashCode

          int hashCode()

      Returns the hashCode of the ConnectionRequestInfo.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hash code os this instance

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.